Last modified: 2013-05-25 13:40:02 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 37789 - Bugs are assigned to departed Wikimedia staff
Bugs are assigned to departed Wikimedia staff
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Bugzilla (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Thehelpfulone
: easy
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 16:39 UTC by MZMcBride
Modified: 2013-05-25 13:40 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2012-06-21 16:39:00 UTC
I tripped across a few open bugs today that were assigned to ngautam@wikimedia.org. Nimish hasn't worked for the Wikimedia Foundation in some time.

While we can't fix every bug assignee, it'd be nice if the ones we know are wrong could be fixed. This only really applies to bugs that are unresolved (changing the assignee for resolved bugs is pointless).

Resetting the assignee to "Nobody (wikibugs-l@lists.wikimedia.org)" allows other users to see that nobody is actively assigned to a particular bug, setting appropriate expectations and avoiding the dreaded cookie licking problem (cf. <http://communitymgt.wikia.com/wiki/Cookie_Licking>).
Comment 1 Chad H. 2012-06-21 16:41:14 UTC
Anyone can do this--just query the relevant bugs and reset the assignee as appropriate.
Comment 2 MZMcBride 2012-06-22 00:00:24 UTC
(In reply to comment #1)
> Anyone can do this--just query the relevant bugs and reset the assignee as
> appropriate.

It'd be nice to be able to search for distinct @wikimedia.org e-mail addresses. Or aggregate @wikimedia.org addresses by number of bugs filed (group by). I'm not sure of an easy way to do this currently.
Comment 3 Thehelpfulone 2012-06-22 00:25:31 UTC
I made a search that simply checks for assignees that contain @wikimedia.org (it's a shared search, "Bugs assigned to staff", I can go through and mass change these back to Nobody, as can anyone else as far as I am aware?
Comment 4 MZMcBride 2012-06-22 03:35:35 UTC
(In reply to comment #3)
> I made a search that simply checks for assignees that contain @wikimedia.org
> (it's a shared search, "Bugs assigned to staff", I can go through and mass
> change these back to Nobody, as can anyone else as far as I am aware?

Mass change the ones assigned to departed staff, you mean. Sure, once that's done, this bug can be marked resolved. I guess it can be marked "easy." :-)
Comment 5 Thehelpfulone 2012-06-22 11:44:04 UTC
Assigned to myself, I wil look at this later today.
Comment 6 Thehelpfulone 2012-06-22 19:23:52 UTC
Done for Mark Hershberger's 36 bugs, replaced his wikimedia email address to the wikibugs-l mailing list for:

bug 22629, bug 33158, bug 37174, bug 37162, bug 35144, bug 36574, bug 37105, bug 36539, bug 25637, bug 24992, bug 28209, bug 21984, bug 28379, bug 28434, bug 36064, bug 32164, bug 32504, bug 34992, bug 1858, bug 34668, bug 33681, bug 29506, bug 24388, bug 29355, bug 28765, bug 28489, bug 28871, bug 24550, bug 22340, bug 22199, bug 22167, bug 3659, bug 1463, bug 22166, bug 22170
Comment 7 Thehelpfulone 2012-06-22 19:52:35 UTC
Done for Neil Kandalgaonkar's 20 bugs:

bug 29955, bug 29470, bug 33330, bug 29793, bug 29469, bug 29202, bug 28925, bug 29964, bug 28913, bug 29582, bug 25885, bug 29408, bug 29250, bug 7757, bug 28577, bug 93, bug 26090, bug 27819, bug 27537, bug 25647

Adam Miller's 19 bugs:

bug 22492, bug 23866, bug 24566, bug 24215, bug 24292, bug 24248, bug 24134, bug 24237, bug 25187, bug 23382, bug 24654, bug 24655, bug 24548, bug 24250, bug 24214, bug 24184, bug 23867, bug 23789, bug 22900


Ian Baker's 2 bugs

bug 32843 and bug 28810

That should be everyone, and apologies for all the email spam, I just figured out you can turn it off when doing these types of mass changes.
Comment 9 MZMcBride 2013-05-24 20:57:39 UTC
Off-hand, it looks like unresolved bugs assigned to the following people should be investigated and probably re-assigned:

* mhershberger
* preilly
* ram
* rfaulkner
* rsmith <-- not sure who this is...

For reference: <https://wikimediafoundation.org/wiki/Staff_and_contractors?showall=1> and <https://meta.wikimedia.org/wiki/Wikimedia_Foundation_contractors>.
Comment 10 Andre Klapper 2013-05-25 13:40:02 UTC
I often use https://bugzilla.wikimedia.org/report.cgi?x_axis_field=bug_status&y_axis_field=assigned_to&z_axis_field=&query_format=report-table&short_desc_type=allwordssubstr&short_desc=&resolution=---&longdesc_type=allwordssubstr&longdesc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&keywords_type=allwords&keywords=&bug_id=&bug_id_type=anyexact&votes=&votes_type=greaterthaneq&emailtype1=substring&email1=&emailtype2=substring&email2=&emailtype3=substring&email3=&chfieldvalue=&chfieldfrom=&chfieldto=Now&j_top=AND&f1=noop&o1=noop&v1=&format=table&action=wrap to check who has assigned how many tickets. :)

(In reply to comment #9)
> * mhershberger
> * preilly
> * rfaulkner

Done, thanks!

> * ram

Had a chat about this last week and will do later.

> * rsmith <-- not sure who this is...

Account was created four days ago.

I try to disable accounts of staff that left WMF and normally check whether they still have tickets assigned. But doesn't always work it seems. :)

Again, thanks for the notice.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links